
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
 
		Asset( "ANIM", "anim/panda.zip" ),
}
local prefabs = {}
local start_inv = {"meat","monstermeat"
	-- Custom starting items
}

local fn = function(inst)
	   
	
	inst.components.talker.colour = {}
    inst.components.talker.colour.x = 225/255
    inst.components.talker.colour.y =   0/255
    inst.components.talker.colour.z =   255/255
	
	-- choose which sounds this character will play
	inst.soundsname = "Wendy"

	-- Minimap icon
	inst.MiniMapEntity:SetIcon( "panda.tex" )
	
	-- Stats	
	inst.components.health:SetMaxHealth(300)
	inst.components.hunger:SetMax(200)
	inst.components.sanity:SetMax(150)
	inst.components.health:StartRegen(10,10)
	
	-- Damage multiplier (optional)
    inst.components.combat.damagemultiplier = 1.0
	
	-- Hunger rate (optional)
	inst.components.hunger.hungerrate = 1 * TUNING.WILSON_HUNGER_RATE
	
		inst:AddComponent("sanityaura")
		
		inst.components.eater.strongstomach = true
    inst.components.sanityaura.aura = TUNING.SANITYAURA_SMALL
		
	local handle = inst.sg.sg.actionhandlers[ACTIONS.HARVEST]
		handle.deststate = function(inst) return "doshortaction" end
	local handle = inst.sg.sg.actionhandlers[ACTIONS.PICK]
		handle.deststate = function(inst) return "doshortaction" end
	
	-- Movement speed (optional)
	inst.components.locomotor.walkspeed = 7
	inst.components.locomotor.runspeed = 9
end

return MakePlayerCharacter("panda", prefabs, assets, fn, start_inv)
